io.vertx.ext.web.api

## Class OperationResponse

- java.lang.Object
- - io.vertx.ext.web.api.OperationResponse

- Deprecated.
  You should use the new module vertx-web-openapi

      @Deprecated
      public class OperationResponse
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperationResponse()` Deprecated.
    `OperationResponse(Integer statusCode, String statusMessage, Buffer payload, MultiMap headers)` Deprecated.
    `OperationResponse(JsonObject json)` Deprecated.
    `OperationResponse(OperationResponse other)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OperationResponse` | `completedWithJson(Buffer json)` Deprecated.
    `static OperationResponse` | `completedWithJson(JsonArray jsonArray)` Deprecated.
    `static OperationResponse` | `completedWithJson(JsonObject jsonObject)` Deprecated.
    `static OperationResponse` | `completedWithPlainText(Buffer text)` Deprecated.
    `MultiMap` | `getHeaders()` Deprecated.
    `Buffer` | `getPayload()` Deprecated.
    `Integer` | `getStatusCode()` Deprecated.
    `String` | `getStatusMessage()` Deprecated.
    `OperationResponse` | `putHeader(String key, String value)` Deprecated.
    `OperationResponse` | `setHeaders(MultiMap headers)` Deprecated.
    `OperationResponse` | `setPayload(Buffer payload)` Deprecated.
    `OperationResponse` | `setStatusCode(Integer statusCode)` Deprecated.
    `OperationResponse` | `setStatusMessage(String statusMessage)` Deprecated.
    `JsonObject` | `toJson()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationResponse

          public OperationResponse()

      Deprecated.

    - #### OperationResponse

          public OperationResponse(JsonObject json)

      Deprecated.

    - #### OperationResponse

          public OperationResponse(Integer statusCode,
                                   String statusMessage,
                                   Buffer payload,
                                   MultiMap headers)

      Deprecated.

    - #### OperationResponse

          public OperationResponse(OperationResponse other)

      Deprecated.

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Deprecated.

    - #### getStatusCode

          public Integer getStatusCode()

      Deprecated.

    - #### getStatusMessage

          public String getStatusMessage()

      Deprecated.

    - #### getPayload

          public Buffer getPayload()

      Deprecated.

    - #### getHeaders

          public MultiMap getHeaders()

      Deprecated.

    - #### setHeaders

          public OperationResponse setHeaders(MultiMap headers)

      Deprecated.

    - #### setStatusCode

          public OperationResponse setStatusCode(Integer statusCode)

      Deprecated.

    - #### setStatusMessage

          public OperationResponse setStatusMessage(String statusMessage)

      Deprecated.

    - #### setPayload

          public OperationResponse setPayload(Buffer payload)

      Deprecated.

    - #### putHeader

          public OperationResponse putHeader(String key,
                                             String value)

      Deprecated.

    - #### completedWithJson

          public static OperationResponse completedWithJson(JsonObject jsonObject)

      Deprecated.

    - #### completedWithJson

          public static OperationResponse completedWithJson(JsonArray jsonArray)

      Deprecated.

    - #### completedWithJson

          public static OperationResponse completedWithJson(Buffer json)

      Deprecated.

    - #### completedWithPlainText

          public static OperationResponse completedWithPlainText(Buffer text)

      Deprecated.

Copyright © 2022 Eclipse. All rights reserved.